summaryrefslogtreecommitdiffstats
path: root/modules.d/slx-extra-script/hooks/s3-extra-script.sh
diff options
context:
space:
mode:
authorSimon Rettberg2024-06-12 15:39:02 +0200
committerSimon Rettberg2024-06-12 15:39:02 +0200
commit851a6682cd97f7c0a9305bacf3a3f36a53848cc8 (patch)
tree5933057174ba892944f20df351e1692a77f1a227 /modules.d/slx-extra-script/hooks/s3-extra-script.sh
parent[dnbd3-rootfs] Kill SLX_GENERATE_FSTAB_SCRIPT (diff)
downloadsystemd-init-851a6682cd97f7c0a9305bacf3a3f36a53848cc8.tar.gz
systemd-init-851a6682cd97f7c0a9305bacf3a3f36a53848cc8.tar.xz
systemd-init-851a6682cd97f7c0a9305bacf3a3f36a53848cc8.zip
[slx-extra-script] Split up in pre/post-dmsetup
The supplied extra script will be called twice, with either pre-dmsetup or post-dmsetup as the first parameter.
Diffstat (limited to 'modules.d/slx-extra-script/hooks/s3-extra-script.sh')
-rwxr-xr-xmodules.d/slx-extra-script/hooks/s3-extra-script.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/modules.d/slx-extra-script/hooks/s3-extra-script.sh b/modules.d/slx-extra-script/hooks/s3-extra-script.sh
index 3a8d4ff4..7ac293ee 100755
--- a/modules.d/slx-extra-script/hooks/s3-extra-script.sh
+++ b/modules.d/slx-extra-script/hooks/s3-extra-script.sh
@@ -1,10 +1,8 @@
-#!/bin/bash
-# -*- coding: utf-8 -*-
-# region imports
+#!/bin/ash
+#
. /etc/openslx
-# endregion
[ -z "$SLX_EXTRA_SCRIPT_URL" ] && exit 0
-slx-tools download_retry --slx-time 20 -sS "$SLX_EXTRA_SCRIPT_URL" > /tmp/extra-init || exit 1
-chmod +x /tmp/extra-init
-exec /tmp/extra-init
+slx-tools download_retry --slx-time 20 -sS "$SLX_EXTRA_SCRIPT_URL" > /etc/extra-init || exit 1
+chmod +x /etc/extra-init
+exec /etc/extra-init pre-dmsetup